{
    attributes = (
        {
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_DEB_AFFECTATION; 
            externalType = DATE; 
            name = dDebAffectation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_FIN_AFFECTATION; 
            externalType = DATE; 
            name = dFinAffectation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = DEN_QUOT_AFFECTATION; 
            externalType = NUMBER; 
            name = denQuotAffectation; 
            precision = 3; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = toStructure.llStructure; 
            externalType = VARCHAR2; 
            name = llStructure; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = NO_SEQ_CONTRAT; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = NO_CONTRAT_TRAVAIL; }; 
            name = noContratTravail; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            columnName = NO_DOSSIER_PERS; 
            externalType = NUMBER; 
            name = noDossierPers; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NO_OCCUPATION; 
            externalType = NUMBER; 
            name = noOccupation; 
            precision = 9; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = NO_SEQ_AFFECTATION; 
            externalType = NUMBER; 
            name = noSeqAffectation; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NO_SEQ_CARRIERE; 
            externalType = NUMBER; 
            name = noSeqCarriere; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NUM_QUOT_AFFECTATION; 
            externalType = NUMBER; 
            name = numQuotAffectation; 
            precision = 3; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        noSeqAffectation, 
        noDossierPers, 
        noOccupation, 
        noSeqCarriere, 
        noContratTravail, 
        cStructure, 
        dDebAffectation, 
        dFinAffectation, 
        numQuotAffectation, 
        denQuotAffectation, 
        dCreation, 
        dModification, 
        llStructure
    ); 
    className = EOAffectation; 
    classProperties = (
        noSeqAffectation, 
        noDossierPers, 
        noOccupation, 
        noSeqCarriere, 
        noContratTravail, 
        cStructure, 
        dDebAffectation, 
        dFinAffectation, 
        numQuotAffectation, 
        denQuotAffectation, 
        dCreation, 
        dModification, 
        toStructure, 
        llStructure
    ); 
    externalName = AFFECTATION; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            noSeqAffectation, 
            noDossierPers, 
            noOccupation, 
            noSeqCarriere, 
            noContratTravail, 
            cStructure, 
            dDebAffectation, 
            dFinAffectation, 
            numQuotAffectation, 
            denQuotAffectation, 
            dCreation, 
            dModification, 
            toStructure, 
            llStructure
        ); 
    }; 
    name = Affectation; 
    primaryKeyAttributes = (noSeqAffectation); 
    relationships = (
        {
            destination = StructureUlr; 
            internalInfo = {_nameInObjectStore = toStructureUlr; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = toStructure; 
        }
    ); 
}
